# Retrieve Asset relationships associated with an Asset. Retrieve all Asset relationships associated with an Asset specified by Object ID. In a relationship, the Asset can be a primary or secondary (related) Asset. For example, in a parent / derivative relationship, the primary Asset would be the parent, while the secondary Asset would be the derivative. Both the Object ID and relationship type for each Asset will be returned. Relationships will be retrieved where the Asset is a primary or secondary Asset. The user requesting the Asset relationships must have View access to both the primary Asset and the secondary Assets in order to retrieve the relationships. Endpoint: GET /asset/{id}/link Version: 1.0 Security: ApiKeyAuth, BasicAuth ## Header parameters: - `X-API-Key` (string, required) Customer-specific API key required to invoke API. - `Authorization` (string, required) Provided by Authentication Token creation operation - `AccessToken` (string, required) JWT token provided by Authentication Token creation operation. ## Path parameters: - `id` (string, required) Asset object ID ## Response 200 fields (application/json): - `secondaryId` (string) ID of the secondary asset - `createdEpoch` (integer) Created date in epoch format Example: 1613677209722 - `customerId` (string) Example: "15716718541456" - `linkType` (string) The type of link. Enum: "child", "derivative", "placed-graphic" - `lastUpdatedEpoch` (integer) Date when last updated. Epoch format. Example: 1613677209722 - `primaryId` (string) ID of the primary asset. Example: "f81769d1-8e93-4af7-856e-56ea30ec1038" - `relationshipId` (string) ID the defines relationship between primary and secondary assets. Example: "f81769d1-8e93-4af7-856e-56ea30ab1038-73b49f17-4c1a-4c05-bb31-5ab2364e2534" ## Response 401 fields (application/json): - `message` (string) - `detail` (string) ## Response 403 fields (application/json): - `message` (string) - `detail` (string)